Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1625157 - mariadb-devel i686 and x86_64 packages conflict
Summary: mariadb-devel i686 and x86_64 packages conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1637031
TreeView+ depends on / blocked
 
Reported: 2018-09-04 09:40 UTC by Zoltan Boszormenyi
Modified: 2018-11-27 03:13 UTC (History)
9 users (show)

Fixed In Version: mariadb-10.2.19-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1637031 (view as bug list)
Environment:
Last Closed: 2018-11-27 03:13:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Zoltan Boszormenyi 2018-09-04 09:40:06 UTC
Description of problem:

mariadb-devel.i686 and mariadb-devel.x86_64 cannot be co-installed.

Version-Release number of selected component (if applicable):

3:10.2.17-1.fc28

How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.

Actual results:

# dnf install mariadb-devel.i686
...
Downloading Packages:
[SKIPPED] mariadb-devel-10.2.17-1.fc28.i686.rpm: Already downloaded                                                                                                    
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/include/mysql/server/my_config.h from install of mariadb-devel-3:10.2.17-1.fc28.i686 conflicts with file from package mariadb-devel-3:10.2.17-1.fc28.x86_64
  file /usr/include/mysql/server/private/config.h from install of mariadb-devel-3:10.2.17-1.fc28.i686 conflicts with file from package mariadb-devel-3:10.2.17-1.fc28.x86_64

Error Summary
-------------

Expected results:

I should be able to install both packages in parallel.

Additional info:

Comment 1 Zoltan Boszormenyi 2018-09-04 09:44:14 UTC
The same is true for mariadb-connector-c-devel:

# dnf install mariadb-connector-c-devel.i686
...
Downloading Packages:
[SKIPPED] mariadb-connector-c-devel-3.0.6-1.fc28.i686.rpm: Already downloaded                                                                                          
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/include/mysql/mariadb_version.h from install of mariadb-connector-c-devel-3.0.6-1.fc28.i686 conflicts with file from package mariadb-connector-c-devel-3.0.6-1.fc28.x86_64

Error Summary
-------------

Comment 2 Pavel Raiskup 2018-09-04 10:04:45 UTC
Consider using:
%multilib_fix_c_header %_includedir/mysql/mariadb_version.h

Comment 4 Fedora Update System 2018-09-04 14:13:58 UTC
mariadb-connector-c-3.0.6-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5809e620

Comment 5 Fedora Update System 2018-09-04 14:14:07 UTC
mariadb-connector-c-3.0.6-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-550c7ba4ba

Comment 6 Fedora Update System 2018-09-05 04:51:34 UTC
mariadb-10.3.9-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8e7b7b2402

Comment 7 Fedora Update System 2018-09-05 04:51:44 UTC
mariadb-10.2.17-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-253105be3c

Comment 8 Fedora Update System 2018-09-05 04:51:51 UTC
mariadb-10.2.17-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9c5d09008

Comment 9 Fedora Update System 2018-09-05 21:26:51 UTC
mariadb-connector-c-3.0.6-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b5809e620

Comment 10 Fedora Update System 2018-09-05 21:27:43 UTC
mariadb-10.3.9-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8e7b7b2402

Comment 11 Fedora Update System 2018-09-06 02:13:02 UTC
mariadb-10.2.17-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-253105be3c

Comment 12 Fedora Update System 2018-09-07 00:06:16 UTC
mariadb-connector-c-3.0.6-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-550c7ba4ba

Comment 13 Fedora Update System 2018-09-07 00:06:47 UTC
mariadb-connector-c-3.0.6-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-550c7ba4ba

Comment 14 Fedora Update System 2018-09-07 00:07:16 UTC
mariadb-10.2.17-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9c5d09008

Comment 15 Fedora Update System 2018-09-07 00:07:44 UTC
mariadb-10.2.17-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9c5d09008

Comment 16 Zoltan Boszormenyi 2018-09-10 05:54:24 UTC
Tested from the updated-testing repo, installing both variants of
mariadb-devel and mariadb-connector-c-devel works now. Thank you!

Comment 17 Fedora Update System 2018-09-11 16:53:02 UTC
mariadb-10.2.17-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-09-13 19:00:18 UTC
mariadb-connector-c-3.0.6-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-09-21 05:27:26 UTC
mariadb-connector-c-3.0.6-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-09-21 05:27:51 UTC
mariadb-10.3.9-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-09-26 20:16:06 UTC
mariadb-10.2.17-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Brian F 2018-10-18 10:03:05 UTC
This issue seems to still exist for mariadb-devel-3

error snippet when trying to install the 64-bit package:-

Error: Transaction check error:
file /usr/include/mysql/mariadb_version.h from install of mariadb-devel-3:10.2.17-2.fc27.x86_64 conflicts with file from package mariadb-devel-3:10.2.17-2.fc27.i686

Comment 23 Michal Schorm 2018-10-19 09:29:11 UTC
F27: 3:10.2.18-1.fc27 AFFECTED
F28: 3:10.2.18-1.fc28 OK

Comment 25 Michal Schorm 2018-10-19 16:13:42 UTC
Okay, here's a build for you:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30330413

I'm not sure though, how to approach this update.
I shouldn't have higher version in lower Fedora release, but I don't want tu push an update with literary zero changes to F28 either.

Comment 26 Brian F 2018-10-22 07:49:40 UTC
I have updated mariadb-devel.i686 to version 3:10.2.18-1.fc27. When go to dnf install mariadb-devel_x86_64 I still get the same error:-

Last metadata expiration check: 0:01:35 ago on Mon 22 Oct 2018 08:33:42 IST.
Dependencies resolved.
================================================================================
 Package             Arch         Version                   Repository     Size
================================================================================
Installing:
 mariadb-devel       x86_64       3:10.2.18-1.fc27          updates       1.0 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 1.0 M
Installed size: 4.5 M
Is this ok [y/N]: y
Downloading Packages:
mariadb-devel-10.2.18-1.fc27.x86_64.rpm         1.6 MB/s | 1.0 MB     00:00    
--------------------------------------------------------------------------------
Total                                           525 kB/s | 1.0 MB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/include/mysql/mariadb_version.h from install of mariadb-devel-3:10.2.18-1.fc27.x86_64 conflicts with file from package mariadb-devel-3:10.2.18-1.fc27.i686

Comment 27 Michal Schorm 2018-10-22 10:58:09 UTC
Yes, that's what I said.
3:10.2.18-1.fc27 is affected by the bug.

Try this build instead:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30330413
It provides 3:10.2.18-2.fc27 version.

And let me know of the results, please.

Comment 28 Fedora Update System 2018-11-15 16:11:40 UTC
mariadb-10.2.19-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-192148f4ff

Comment 29 Fedora Update System 2018-11-16 04:34:29 UTC
mariadb-10.2.19-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-192148f4ff

Comment 30 Fedora Update System 2018-11-27 03:13:04 UTC
mariadb-10.2.19-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.